<?php

class AlternativePaymentsRefund
{
    const RESOURCE = 'transactions';
    
    const ACTION = 'refunds';
    
    public static function getAll($parentCode, $config)
    {
        $newCtrl = self::RESOURCE."/".$parentCode."/".self::ACTION;
        $service = new AlternativePaymentsRequest;
        return $service->getAll($newCtrl, $config);
    }

    public static function get($code, $config)
    {
        $service = new AlternativePaymentsRequest;
        return $service->get(self::RESOURCE, $code, $config);
    }

    public static function post($data, $parentCode, $config)
    {
        $newCtrl = self::RESOURCE."/".$parentCode."/".self::ACTION;
        $service = new AlternativePaymentsRequest;
        
        return $service->post($newCtrl, $data, $config);
    }
}
