<?php
chdir('../../../../../');
require('includes/application_top.php');

include_once(DIR_FS_CATALOG.'ext/modules/payment/alternative_payments/helper/AlternativePaymentsInclude.php');

$type = isset($_GET['type']) && $_GET['type'] ? $_GET['type'] : '';

define('TABLE_ALTERNATIVE_PAYMENTS_LOG', 'alternative_payments_log');
define('TABLE_ALTERNATIVE_PAYMENTS_ORDER_TRANSACTION', 'alternative_payments_order_transaction');
define('TABLE_ALTERNATIVE_PAYMENTS_ORDER_STATUS', 'alternative_payments_order_status');


switch ($type) {
    case 'country':
        $selected_country = isset($_POST['ajax_temp_selected_country']) ? $_POST['ajax_temp_selected_country']
                : "";

        if ($selected_country) {
            $response = AlternativePaymentsPayment::get_payments_for_country($selected_country);

            if ($response) {
                echo json_encode($response);
            }
        } else {
            echo 'ERROR';
        }
        break;
    case 'form_validation':
        $response = AlternativePaymentsPayment::validate_fields($_POST);

        $_SESSION["alternative_payment_post_data"] = $_POST;

        echo json_encode($response);
        break;
    case 'phone_verification':
        $phone_number = isset($_POST['ajax_temp_phone']) ? $_POST['ajax_temp_phone']
                : "";

        if((int) $phone_number){
            $response = AlternativePaymentsPayment::get_phone_verification($phone_number);
        } else {
            $response = array(
                'status' => 'ERROR',
                'message' => AlternativePaymentsText::en('form_verification_phone_number_valid')
            );
        }

        echo json_encode($response);
        break;
    case 'api':
        $data = json_decode(file_get_contents('php://input'));
        if ($data) {
            AlternativePaymentsTransaction::callbackMercahnt($data);
        } else {
            echo AlternativePaymentsText::en('msg_check_response');
        }
        break;
    default :
        echo 'No authorized';
        break;
}

die();
