<?php

include_once(DIR_FS_CATALOG.'ext/modules/payment/alternative_payments/helper/AlternativePaymentsInclude.php');

class AlternativePaymentsMethods {

    public static function alipay($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function brazilpaybanktransfer($payment_option, $is_sms_active = false) {
        $return = '<fieldset>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_holder_name">
                            ' . AlternativePaymentsText::en('form_holder') . ' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_holder_name" name="alternative_payment_holder_name[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_document_id">
                                ' . AlternativePaymentsText::en('form_document_id') . ' <span class="required">*</span>
                        </label>
                        <input placeholder="xxx.xxx.xxx-xx" type="text" class="input-text form-control" id="payment_document_id" name="alternative_payment_document_id[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_bank_code">
                            ' . AlternativePaymentsText::en('form_bank_code') . ' <span class="required">*</span>
                        </label>
                        <select class="input-text form-control" id="payment_bank_code" name="alternative_payment_bank_code[' . $payment_option['id'] . ']" style="width: 100%">
                                <option value="">' . AlternativePaymentsText::en('Type') . '</option>
                                <option value="banrisul">Banrisul</option>
                                <option value="bradesco">Bradesco</option>
                                <option value="bancodobrasil">Banco do Brasil</option>
                                <option value="hsbc">HSBC Bank</option>
                                <option value="itau">Itaú</option>
                        </select>
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_birth_date_day">
                                ' . AlternativePaymentsText::en('form_birth_date') . ' <span class="required">*</span>
                        </label>
                        <div class="form-control">
                            <select class="input-text" id="payment_birth_date_day" name="alternative_payment_birth_date_day[' . $payment_option['id'] . ']" style="width: 22%;float: left;border: 0px;">
                                    <option value="">' . AlternativePaymentsText::en('Day') . '</option>';
        for ($i = 1; $i < 32; $i++) {
            $return .= '<option value="' . str_pad($i, 2, "0", STR_PAD_LEFT) . '">' . str_pad($i, 2, "0", STR_PAD_LEFT) . '</option>';
        }
        $return .= '</select>

                            <span style="font-size: large;width: 8%;display: inline-block;text-align: center;float: left;">/</span>

                            <select class="input-text" id="payment_birth_date_mounth" name="alternative_payment_birth_date_mounth[' . $payment_option['id'] . ']" style="width: 22%;float: left;border: 0px;">
                                <option value="">' . AlternativePaymentsText::en('Mounth') . '</option>';

        for ($i = 1; $i < 13; $i++) {
            $return .= '<option value="' . str_pad($i, 2, "0", STR_PAD_LEFT) . '">' . str_pad($i, 2, "0", STR_PAD_LEFT) . '</option>';
        }

        $return .= '</select>

                            <span style="font-size: large;width: 8%;display: inline-block;text-align: center;float: left;">/</span>

                            <select class="input-text" id="payment_birth_date_year" name="alternative_payment_birth_date_year[' . $payment_option['id'] . ']"  style="width: 40%;float: left;border: 0px;">
                                <option value="">' . AlternativePaymentsText::en('Year') . '</option>';

        $year_end = date('Y') - 18;
        $year = 1930;
        for ($i = $year_end; $i > $year; $i--) {
            $return .= '<option value="' . $i . '">' . $i . '</option>';
        }

        $return .= '</select>
                        </div>
                    </div>

                    <div class="form-group col-md-6 js-state-holder" style="margin-right: 0px; margin-left: 0px;" data-prompt-val="' . AlternativePaymentsText::en('Choose state') . '">
                        <label for="payment_state">
                            ' . AlternativePaymentsText::en('State') . ' <span class="required">*</span>
                        </label>
                        <select class="input-text form-control" id="payment_state" name="alternative_payment_state[' . $payment_option['id'] . ']" style="width: 100%">

                        </select>
                    </div>

                    <div class="form-group col-md-6 js-address-2" style="margin-right: 0px; margin-left: 0px; display: none;">
                        <label for="payment_address_2">
                            ' . AlternativePaymentsText::en('form_address_2') . ' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_address_2" name="alternative_payment_address_2[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>

                </fieldset>';

        return $return;
    }

    public static function brazilpayboleto($payment_option, $is_sms_active = false) {
        $return = '<fieldset>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_holder_name">
                            ' . AlternativePaymentsText::en('form_holder') . ' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_holder_name" name="alternative_payment_holder_name[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>

                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_document_id">
                                ' . AlternativePaymentsText::en('form_document_id') . ' <span class="required">*</span>
                        </label>
                        <input placeholder="xxx.xxx.xxx-xx" type="text" class="input-text form-control" id="payment_document_id" name="alternative_payment_document_id[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>

                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_birth_date_day">
                                ' . AlternativePaymentsText::en('form_birth_date') . ' <span class="required">*</span>
                        </label>
                        <div class="form-control">
                            <select class="input-text" id="payment_birth_date_day" name="alternative_payment_birth_date_day[' . $payment_option['id'] . ']" style="width: 22%;float: left;border: 0px;">
                                    <option value="">' . AlternativePaymentsText::en('Day') . '</option>';
        for ($i = 1; $i < 32; $i++) {
            $return .= '<option value="' . str_pad($i, 2, "0", STR_PAD_LEFT) . '">' . str_pad($i, 2, "0", STR_PAD_LEFT) . '</option>';
        }
        $return .= '</select>

                            <span class="field_div">/</span>

                            <select class="input-text" id="payment_birth_date_mounth" name="alternative_payment_birth_date_mounth[' . $payment_option['id'] . ']" style="width: 22%;float: left;border: 0px;">
                                <option value="">' . AlternativePaymentsText::en('Mounth') . '</option>';

        for ($i = 1; $i < 13; $i++) {
            $return .= '<option value="' . str_pad($i, 2, "0", STR_PAD_LEFT) . '">' . str_pad($i, 2, "0", STR_PAD_LEFT) . '</option>';
        }

        $return .= '</select>

                            <span class="field_div">/</span>

                            <select class="input-text" id="payment_birth_date_year" name="alternative_payment_birth_date_year[' . $payment_option['id'] . ']"  style="width: 40%;float: left;border: 0px;">
                                <option value="">' . AlternativePaymentsText::en('Year') . '</option>';

        $year_end = date('Y') - 18;
        $year = 1930;
        for ($i = $year_end; $i > $year; $i--) {
            $return .= '<option value="' . $i . '">' . $i . '</option>';
        }

        $return .= '</select>
                        </div>
                    </div>

                    <div class="form-group col-md-6 js-state-holder" style="margin-right: 0px; margin-left: 0px;" data-prompt-val="' . AlternativePaymentsText::en('Choose state') . '">
                        <label for="payment_state">
                            ' . AlternativePaymentsText::en('State') . ' <span class="required">*</span>
                        </label>
                        <select class="input-text form-control" id="payment_state" name="alternative_payment_state[' . $payment_option['id'] . ']" style="width: 100%">

                        </select>
                    </div>

                    <div class="form-group col-md-6 js-address-2" style="margin-right: 0px; margin-left: 0px; display: none;">
                        <label for="payment_address_2">
                            ' . AlternativePaymentsText::en('form_address_2') . ' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_address_2" name="alternative_payment_address_2[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>

                </fieldset>';

        return $return;
    }

    public static function brazilpaychargecard($payment_option, $is_sms_active = false) {
        $return = '<fieldset>

                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_holder_name">
                            ' . AlternativePaymentsText::en('form_holder') . ' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_holder_name" name="alternative_payment_holder_name[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_credit_card_number">
                                ' . AlternativePaymentsText::en('form_credit_card_number') . ' <span class="required">*</span>
                        </label>
                        <input placeholder="**** **** **** ****" type="text" class="input-text form-control" id="payment_credit_card_number" name="alternative_payment_credit_card_number[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_cvv2">
                                ' . AlternativePaymentsText::en('form_cvv2') . ' <span class="required">*</span>
                        </label>
                        <input placeholder="****" type="text" class="input-text form-control" id="payment_cvv2" name="alternative_payment_cvv2[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_credit_card_type">
                            ' . AlternativePaymentsText::en('form_credit_card_type') . ' <span class="required">*</span>
                        </label>
                        <select class="input-text form-control" id="payment_credit_card_type" name="alternative_payment_credit_card_type[' . $payment_option['id'] . ']" style="width: 100%">
                            <option value="">' . AlternativePaymentsText::en('Type') . '</option>
                            <option value="visa">Visa</option>
                            <option value="mastercard">Master Card</option>
                        </select>
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_exp_year">
                            ' . AlternativePaymentsText::en('form_exp_date') . ' <span class="required">*</span>
                        </label>
                        <div class="form-control">
                            <select class="input-text" id="payment_exp_mounth" name="alternative_payment_exp_mounth[' . $payment_option['id'] . ']" style="width: 49%; float: left;border: 0px;">
                                    <option value="">' . AlternativePaymentsText::en('Mounth') . '</option>';

        for ($i = 1; $i < 13; $i++) {
            $return .= '<option value="' . str_pad($i, 2, "0", STR_PAD_LEFT) . '">' . str_pad($i, 2, "0", STR_PAD_LEFT) . '</option>';
        }

        $return .= '</select>

                                <span class="field_div">/</span>

                                <select class="input-text" id="payment_exp_year" name="alternative_payment_exp_year[' . $payment_option['id'] . ']"  style="width: 43%; float: right;border: 0px;">
                                    <option value="">' . AlternativePaymentsText::en('Year') . '</option>';

        $year = date('Y');
        for ($i = $year; $i < $year + 7; $i++) {
            $return .= '<option value="' . $i . '">' . $i . '</option>';
        }
        $return .= '</select>
                        </div>  
                    </div>

                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_document_id">
                                ' . AlternativePaymentsText::en('form_document_id') . ' <span class="required">*</span>
                        </label>
                        <input placeholder="xxx.xxx.xxx-xx" type="text" class="input-text form-control" id="payment_document_id" name="alternative_payment_document_id[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>

                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_birth_date_day">
                                ' . AlternativePaymentsText::en('form_birth_date') . ' <span class="required">*</span>
                        </label>
                        <div class="form-control">
                            <select class="input-text" id="payment_birth_date_day" name="alternative_payment_birth_date_day[' . $payment_option['id'] . ']" style="width: 22%;float: left;border: 0px;">
                                    <option value="">' . AlternativePaymentsText::en('Day') . '</option>';
        for ($i = 1; $i < 32; $i++) {
            $return .= '<option value="' . str_pad($i, 2, "0", STR_PAD_LEFT) . '">' . str_pad($i, 2, "0", STR_PAD_LEFT) . '</option>';
        }
        $return .= '</select>

                            <span class="field_div">/</span>

                            <select class="input-text" id="payment_birth_date_mounth" name="alternative_payment_birth_date_mounth[' . $payment_option['id'] . ']" style="width: 22%;float: left;border: 0px;">
                                <option value="">' . AlternativePaymentsText::en('Mounth') . '</option>';

        for ($i = 1; $i < 13; $i++) {
            $return .= '<option value="' . str_pad($i, 2, "0", STR_PAD_LEFT) . '">' . str_pad($i, 2, "0", STR_PAD_LEFT) . '</option>';
        }

        $return .= '</select>

                            <span class="field_div">/</span>

                            <select class="input-text" id="payment_birth_date_year" name="alternative_payment_birth_date_year[' . $payment_option['id'] . ']"  style="width: 40%;float: left;border: 0px;">
                                <option value="">' . AlternativePaymentsText::en('Year') . '</option>';

        $year_end = date('Y') - 18;
        $year = 1930;
        for ($i = $year_end; $i > $year; $i--) {
            $return .= '<option value="' . $i . '">' . $i . '</option>';
        }

        $return .= '</select>
                        </div>
                    </div>

                    <div class="form-group col-md-6 js-state-holder" style="margin-right: 0px; margin-left: 0px;" data-prompt-val="' . AlternativePaymentsText::en('Choose state') . '">
                        <label for="payment_state">
                            ' . AlternativePaymentsText::en('State') . ' <span class="required">*</span>
                        </label>
                        <select class="input-text form-control" id="payment_state" name="alternative_payment_state[' . $payment_option['id'] . ']" style="width: 100%">

                        </select>
                    </div>

                    <div class="form-group col-md-6 js-address-2" style="margin-right: 0px; margin-left: 0px; display: none;">
                        <label for="payment_address_2">
                            ' . AlternativePaymentsText::en('form_address_2') . ' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_address_2" name="alternative_payment_address_2[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                </fieldset>';

        return $return;
    }

    public static function cashu($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function creditcard($payment_option, $is_sms_active = false) {
        $return = '<fieldset>
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_holder_name">
                            ' . AlternativePaymentsText::en('form_holder') . ' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_holder_name" name="alternative_payment_holder_name[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_credit_card_number">
                                ' . AlternativePaymentsText::en('form_credit_card_number') . ' <span class="required">*</span>
                        </label>
                        <input placeholder="**** **** **** ****" type="text" class="input-text form-control" id="payment_credit_card_number" name="alternative_payment_credit_card_number[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_cvv2">
                                ' . AlternativePaymentsText::en('form_cvv2') . ' <span class="required">*</span>
                        </label>
                        <input placeholder="****" type="text" class="input-text form-control" id="payment_cvv2" name="alternative_payment_cvv2[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>
                    
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_credit_card_type">
                            ' . AlternativePaymentsText::en('form_credit_card_type') . ' <span class="required">*</span>
                        </label>
                        <select class="input-text form-control" id="payment_credit_card_type" name="alternative_payment_credit_card_type[' . $payment_option['id'] . ']" style="width: 100%">
                            <option value="">' . AlternativePaymentsText::en('Type') . '</option>
                            <option value="visa">Visa</option>
                            <option value="mastercard">Master Card</option>
                        </select>
                    </div>

                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_exp_year">
                            ' . AlternativePaymentsText::en('form_exp_date') . ' <span class="required">*</span>
                        </label>
                        <div class="form-control">
                            <select class="input-text" id="payment_exp_mounth" name="alternative_payment_exp_mounth[' . $payment_option['id'] . ']" style="width: 49%; float: left;border: 0px;">
                                    <option value="">' . AlternativePaymentsText::en('Mounth') . '</option>';

        for ($i = 1; $i < 13; $i++) {
            $return .= '<option value="' . str_pad($i, 2, "0", STR_PAD_LEFT) . '">' . str_pad($i, 2, "0", STR_PAD_LEFT) . '</option>';
        }

        $return .= '</select>

                                <span class="field_div">/</span>

                                <select class="input-text" id="payment_exp_year" name="alternative_payment_exp_year[' . $payment_option['id'] . ']"  style="width: 43%; float: right;border: 0px;">
                                    <option value="">' . AlternativePaymentsText::en('Year') . '</option>';

        $year = date('Y');
        for ($i = $year; $i < $year + 7; $i++) {
            $return .= '<option value="' . $i . '">' . $i . '</option>';
        }
        $return .= '</select>
                        </div>  
                    </div>

                </fieldset>';

        return $return;
    }

    public static function eps($payment_option, $is_sms_active = false) {
        return self::holder_bic_name_form($payment_option);
    }

    public static function giropay($payment_option, $is_sms_active = false) {
        return self::holder_bic_name_form($payment_option);
    }

    public static function ideal($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function mangirkart($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function bancontact($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function paysafe($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function poli($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function przelewy24($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function qiwi($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function safetypay($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    /**
     *
     *  SEPA
     * 
     *       */
    public static function sepa($payment_option, $is_sms_active = false) {
        $return = '';
        
        if($is_sms_active) {
            $return .= '<fieldset>
                            <!-- p class="form-row form-row-first alternative_payment_message_holder" style="display:none;">
                                <span class="required">*</span>
                            </p -->

                            <!-- Phone number -->
                            <div class="form-group col-md-6 alternative_peyment_phone_number" style="margin-right: 0px; margin-left: 0px;">
                                <label for="payment_phone_number">
                                    '. AlternativePaymentsText::en('form_phone_number').' <span class="required">*</span>
                                </label>
                                <input type="text" class="input-text form-control alternative_payment_phone_number_txt" id="payment_phone_number" name="payment_phone_number['. $payment_option['id'].']" value="" autocomplete="off" />
                                <p class="help-block"><span>'. AlternativePaymentsText::en('form_phone_number_description').'</span></p>
                            </div>
                            
                            <div class="form-group col-md-6 alternative_peyment_phone_number" style="margin-right: 0px; margin-left: 0px;">
                                <label class="col-md-12">
                                    &nbsp;
                                </label>
                                <input type="button" value="'. AlternativePaymentsText::en('form_btn_value').'"
                                    class="btn btn-success alternative_peyment_send_phone_number_btn" />
                            </div>
                            <!-- ./Phone number -->

                            <!-- Phone PIN -->
                            <div class="form-group col-md-6 alternative_peyment_verification_code" style="margin-right: 0px; margin-left: 0px; display: none;">
                                <label for="payment_sms_verification_code">
                                    '. AlternativePaymentsText::en('form_phone_verification_code').' <span class="required">*</span>
                                </label>                                
                                <input type="text" class="input-text form-control" id="payment_sms_verification_code" name="payment_sms_verification_code['. $payment_option['id'].']" autocomplete="off" />

                                <p class="help-block"><span>'. AlternativePaymentsText::en('form_phone_verification_code_description').'</span></p>
                                    
                                <input type="hidden" class="input-text alternative_payments_response_phone_number" id="payment_response_phone_number" name="payment_response_phone_number['. $payment_option['id'].']" value="" />
                                <input type="hidden" class="input-text alternative_payments_response_token" id="payment_response_token" name="payment_response_token['. $payment_option['id'].']" value="" />
                            </div>
                            <!-- ./Phone PIN -->

                        </fieldset> <hr />';
        }
        
        $return .= '<fieldset>
                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_holder_name">
                            ' . AlternativePaymentsText::en('form_holder') . ' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_holder_name" name="alternative_payment_holder_name[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>

                    <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                        <label for="payment_iban">
                            '. AlternativePaymentsText::en('form_iban').' <span class="required">*</span>
                        </label>
                        <input type="text" class="input-text form-control" id="payment_iban" name="alternative_payment_iban[' . $payment_option['id'] . ']" value="" autocomplete="off" />
                    </div>    
                  </fieldset>';

        return $return;
    }

    public static function sofortuberweisung($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function teleingreso($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function tenpay($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function trustpay($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function unionpay($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function verkkopankki($payment_option, $is_sms_active = false) {
        return self::holder_name_form($payment_option);
    }

    public static function holder_name_form($payment_option, $is_sms_active = false) {
        return '<fieldset>
            <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                <label for="'.$payment_option['id'].'_payment_holder_name">
                    ' . AlternativePaymentsText::en('form_holder') . ' <span class="required">*</span>
                </label>
                <input type="text" class="input-text form-control" id="' . $payment_option['id'] . '_payment_holder_name" 
                 name="alternative_payment_holder_name[' . $payment_option['id'] . ']" value="" autocomplete="off" />
            </div>
        </fieldset>';
    }
    
    public static function holder_bic_name_form($payment_option, $is_sms_active = false) {
        return '<fieldset>
            <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                <label for="'.$payment_option['id'].'_payment_holder_name">
                    ' . AlternativePaymentsText::en('form_holder') . ' <span class="required">*</span>
                </label>
                <input type="text" class="input-text form-control" id="' . $payment_option['id'] . '_payment_holder_name" 
                 name="alternative_payment_holder_name[' . $payment_option['id'] . ']" value="" autocomplete="off" />
            </div>
            <div class="form-group col-md-6" style="margin-right: 0px; margin-left: 0px;">
                <label for="'.$payment_option['id'].'_payment_bic">
                    ' . AlternativePaymentsText::en('form_bic') . ' <span class="required">*</span>
                </label>
                <input type="text" class="input-text form-control" id="' . $payment_option['id'] . '_payment_bic" 
                 name="alternative_payment_bic[' . $payment_option['id'] . ']" value="" autocomplete="off" />
            </div>
        </fieldset>';
    }

}
