<?php

class AlternativePaymentsText {

    public static function en($id) {

        $t = array(
            'method_title' => 'Alternative Payments <img src="'.MODULE_PAYMENT_ALTERNATIVE_PAYMENTS_IMAGE_ADMIN_PATH.'alternative_payment_logo.png" style="width:auto; height: 15px; float: right;">',
            'method_description' => '<img src="'.MODULE_PAYMENT_ALTERNATIVE_PAYMENTS_IMAGE_ADMIN_PATH.'alternative_payment_logo.png" style="width:50%; margin: 10px 25%;">'
                                  . '<img src="images/icon_info.gif" border="0" alt="Info" title="Info">&nbsp;Alternative Payments helps connect your business to the World. We offer global payment solutions that will help you unlock new marketplaces. Our products are built with an international consumer in mind.'
                                  . '<br/><br/><img src="images/icon_popup.gif" border="0">&nbsp;<a href="http://alternativepayments.com/" target="_blank" style="text-decoration: underline; font-weight: bold;">Visit Alternative Payments Website</a>',
            'sms_active_true' => 'SMS Verification for SEPA payment activated',
            'sms_active_false' => 'SMS Verification for SEPA payment is not activated',
            'sms_active_description' => 'This field will display the status of SMS verification for SEPA once you have entered and saved the API keys',
            'sms_active_default_value' => 'Go to edit to see status',
            'form_field_enable_title' => 'Enable/Disable',
            'form_field_enable_description' => 'Enable or disable this payment method',
            'form_field_enable_label' => 'Alternative Payments SEPA',
            'form_field_title_title' => 'Title',
            'form_field_title_description' => 'Enter the title to show for this payment option during checkout.',
            'form_field_title_default' => 'Pay with your local payment options',
            'form_field_sms_verification_title' => 'SMS Verification',
            'form_field_product_key_title' => 'PUBLIC KEY',
            'form_field_product_key_description' => 'Enter the Public API Key you obtained from your Website Profile in the Alternative Payments Merchant Portal',
            'form_field_product_key_default' => '',
            'form_field_api_key_title' => 'SECRET KEY',
            'form_field_api_key_description' => 'Enter the Secret API Key you obtained from your Website Profile in the Alternative Payments Merchant Portal',
            'form_field_api_key_default' => '',
            'form_field_api_url_title' => 'API URL',
            'form_field_api_url_description' => 'API URL to Alternative Payments',
            'form_field_api_url_default' => 'https://api.alternativepayments.com/api',
            
            'form_field_return_url_title' => 'RETURN URL',
            'form_field_return_url_description' => 'For redirect payment options (not SEPA), where do you want the consumer to be returned to once he completes payment.',
            'form_field_return_url_default' => '',
            
            'form_field_cancel_url_title' => 'CANCEL URL',
            'form_field_cancel_url_description' => 'For redirect payment options (not SEPA), where do you want the consumer to be returned to if he cancels the payment process.',
            'form_field_cancel_url_default' => '',
            
            'form_field_proccessing_status_title' => 'Change SEPA order status to proccessing when',
            'form_field_proccessing_status_description' => 'Select which Alternative Payments status you want the osCommerce Processing status to use.',
            'form_field_proccessing_status_default' => 'funded',
            'form_field_proccessing_status_option_funded' => 'Merchant Funded status',
            'form_field_proccessing_status_option_approved' => 'Merchant Approved status',
            'form_field_description_title' => 'Description',
            'form_field_description_description' => 'Payment method description that the customer will see on your checkout.',
            'form_field_description_default' => 'Pay with your bank account using your IBAN (International Bank Account Number). Safe and no credit card needed!',
            'form_field_instructions_title' => 'Instructions',
            'form_field_instructions_description' => 'Instructions that will be added to the thank you page and emails.',
            
            'form_field_payment_options_title' => 'Payment options',
            'form_field_payment_options_description' => 'Available payment options.',
            'form_field_payment_options_defaut' => '',
            
            
            'form_field_instructions_default' => 'We need to input text here',
            'form_phone_number' => 'Mobile Phone Number',
            'form_phone_number_description' => 'A PIN code will be send to the number above and will need to be entered on the next screen to complate you purchase.',
            'form_btn_value' => 'Request PIN',
            'form_phone_verification_code' => 'Phone verification code',
            'form_phone_verification_code_description' => 'Enter PIN code you received via SMS.',
            'form_holder' => 'Account Holder\'s Full Name',
            'form_iban' => 'IBAN',
            'form_bic' => 'BIC',
            'form_address_2' => 'Address: Street Number',
            // MESSAGES
            // gateway-alternative-payments.php
            'form_verification_select' => 'There was an issue with the verification process. Please try again or contact support.',
            'form_verification_phone_number' => 'Phone number is not valid. Please try again or contact support.',
            'form_verification_phone_number_valid' => 'Phone number is not valid.',
            'form_verification_response_phone_number' => 'Problem with response phone number.',
            'form_verification_response_token' => 'There was an issue with the verification process. Please try again or contact support.',
            'form_verification_verification_code' => 'Phone verification code is invalid.',
            'form_verification_holder' => 'Holder name is invalid.',
            'form_verification_iban' => 'IBAN is invalid.',
            'form_verification_bic' => 'BIC is invalid.',
            'form_verification_state' => 'Select state.',
            'form_verification_address_2' => 'Street number is required',
            'msg_cancel_false' => 'Alternative Payments transaction can\'t be cancelled. Please, contact support for more details.',
            'msg_note_cancel_false' => 'Customer received information, that Alternative Payments transaction can\'t be cancelled. Contact customer for more details.',
            // gateway-alternative-payments-handler.php
            'msg_check_response' => 'Alternative Payments Request Failure',
            // functions.php
            'msg_refund_refunded' => 'Alternative Payments refund failed.Transaction has already been refunded.',
            'msg_refund_failed_amount' => "Alternative Payments transaction not refunded. Order amount doesn't match Transaction amount. You must refund order manual. In field amount set amount: ",
            'msg_refund_failed_partial_amount' => "Alternative Payments transaction not refunded. Alternative Payments doesn't support partial payments. Correct amount is: ",
            'msg_cancel_failed' => 'Alternative Payments cancel failed.Transaction is already cancelled.',
            'msg_pending' => 'Alternative Payments successfully created transaction. Payment pending. Transaction ID: ',
            'msg_pending_status' => 'Alternative Payments status change - Pending',
//            'msg_on_hold' => 'Alternative Payments transaction received. Payment processing.',
            'msg_on_hold' => 'Alternative Payments transaction Approved.',
            'msg_on_hold_status' => 'Alternative Payments status change - On-hold',
//            'msg_proccessing' => 'Alternative Payments successfully processed the transaction. Payment is completed successfully.',
            'msg_proccessing' => 'Alternative Payments transaction Funded.',
            'msg_proccessing_status' => 'Alternative Payments status change - Processing',
            'msg_failed' => 'Alternative Payments transaction failed. Payment declined or aborted.',
            'msg_failed_note' => 'Alternative Payments Declined transaction - You can find Decline Reason in Merchant tool',
            'msg_failed_status' => 'Alternative Payments status change - Failed',
            'msg_failed_customer' => 'Alternative Payments failed',
            'msg_canceled' => 'Alternative Payments transaction canceled. Payment canceled.',
            'msg_canceled_status' => 'Alternative Payments transaction cancelled.',
            'msg_refunded' => 'Alternative Payments transaction refunded. Payment refunded.',
            'msg_refunded_status' => 'Alternative Payments status change - Refunded',
            'msg_error' => 'Alternative Payments encountered some error.',
            'msg_refund_failed' => 'Alternative Payments refund failed.Transaction is no longer in pending status.',
            'msg_refund_pending' => 'Alternative Payments refund is on hold. You will get notified about refund status.',
            'msg_canceled_failed' => 'Alternative Payments cancelled failed. Transaction is no longer in pending status.',
            'msg_failed_phone_number' => 'There was an issue with response data. Please try again later.',
            'msg_save_transaction_failed' => 'Alternative Payments already created transaction for this order. Order ID: ',
            'msg_save_transaction_failed_notice' => 'Alternative Payments transaction has already been created for this order.',
            'msg_isf_failed' => 'Alternative Payments transaction is ISF failed.',
            'msg_isf_failed_status' => 'Alternative Payments transaction is ISF failed.',
            'msg_invalid_failed' => 'Alternative Payment transaction is invalid. The information provided was found on Black list.',
            'msg_invalid_failed_status' => 'Alternative Payment transaction is invalid.',
            'msg_invalid_limit' => ' Payment limit reached',
            'msg_invalid_limit_status' => 'Status changed to failed, payment limit reached.',
            'msg_refund_already_sent' => 'Refund already sent.',
            'msg_can_not_be_refunded' => 'Transaction not yet in approved Merchent status. Try again later.',
            'invalid_form_data' => 'Invalid form data.',

            'msg_chargeback' => 'Alternative Payments transaction chargeback. Payment chargeback.',
            'msg_chargeback_status' => 'Alternative Payments status change - Chargeback',

            // %s will be replaced with data
            'send_merchant_tool_items' => 'Product name: %s, Product ID: %s, Quantity: %s, Total price: %s.',
            // OpenCart
            // admin
            'text_payment' => 'Payment',
            'text_success' => 'Success: You have modified Alternative Payments!',
            'text_edit' => 'Edit Alternative Payments',
            'plugin_img' => '<a onclick="window.open(\'http://www.alternativepayments.com/\');"><img src="view/image/payment/alternative_payments.jpg" alt="Checkout by Alternative Payments" title="Checkout by Alternative Payments" style="border: 1px solid #EEEEEE;" /></a>',
            'text_home' => 'Home',
            'text_enabled' => 'Enabled',
            'text_disabled' => 'Disabled',
            'text_sort_order' => 'Checkout order',
            'entry_merchant_tool_status' => 'funded=>Merchant Funded status;approved=>Merchant Approved status',
            'entry_sort_order' => '1',
            'help_sort_order' => 'On which position to be on checkout page.',
            'error_permission' => 'Warning: You do not have permission to modify payment Cash On Delivery!',
            // catalog
            'catalog_heading_title' => 'Alternative Payments',
            'catalog_heading_address' => 'Please choose a delivery address',
            'catalog_heading_payment' => 'Please select a payment method',
            'catalog_heading_confirm' => 'Order summary',
            'catalog_heading_terms' => '<a href="http://www.alternativepayments.com/" target="_blank">See terms</a>',
            'catalog_text_back' => 'Back',
            'catalog_text_cart' => 'Cart',
            'catalog_text_confirm' => 'Confirm',
            'catalog_text_continue' => 'Continue',
            'catalog_text_loading' => 'loading...',
            'text_form_holder_description' => 'Insert Holder name',
            'text_form_iban_description' => 'Insert IBAN',
            'text_form_bic_description' => 'Insert BIC',
            'text_payment_options' => 'SEPA',
            'error_form_verification_select' => 'Problem with selectet payment.',
            'text_error_payment_select' => 'Please select payment option',

            // Validation
            'form_verification_credit_card_number' => '<strong>Card Number</strong> is a required field.',
            'form_verification_credit_card_number_not_numbers' => '<strong>Card Number</strong> can be only number.',
            'form_verification_credit_card_number_more' => '<strong>Card Number</strong> must have 16 digits.',
            'form_verification_credit_card_number_less' => '<strong>Card Number</strong> must have 16 digits.',
            'form_verification_cvv2' => '<strong>Security Code</strong> is a required field.',
            'form_verification_cvv2_not_numbers' => '<strong>Security Code</strong> can be only number.',
            'form_verification_cvv2_more' => '<strong>Security Code</strong> must have 3 or 4 digits.',
            'form_verification_cvv2_less' => '<strong>Security Code</strong> must have 3 or 4 digits.',
            'form_verification_credit_card_types' => '<strong>Card Type</strong> is a required field.',
            'form_verification_exp_mounths' => '<strong>Mounth</strong> is a required field.',
            'form_verification_exp_years' => '<strong>Year</strong> is a required field.',

            // cc form
            'form_credit_card_number' => 'Card Number',
            'form_cvv2' => 'Security Code',
            'form_credit_card_type' => 'Select your Card Type',
            'Type' => 'SELECT',
            'form_exp_date' => 'Expiration date',
            'Mounth' => 'MONTH',
            'Year' => 'YEAR',
            'Day' => 'DAY',

            'form_document_id' => 'Document Id',
            'form_bank_code' => 'Bank Code',
            'form_verification_document_id' => '<strong>Document Id</strong> is a required field.',
            'form_verification_bank_code' => '<strong>Bank Code</strong> is a required field.',

            'form_birth_date' => 'Date of birth',
            'form_verification_birth_date_day' => '<strong>Date of birth</strong> choose day.',
            'form_verification_birth_date_month' => '<strong>Date of birth</strong> choose month.',
            'form_verification_birth_date_year' => '<strong>Date of birth</strong> choose year.',

            'Payment option used was' => 'Payment option used was',
            'Loading payment options' => 'Loading payment options',
        );

        return isset($t[$id]) ? $t[$id] : $id;
    }

}

